package com.ruoyi.homepage.mapper;

import com.ruoyi.homepage.model.param.ChartReq;
import com.ruoyi.homepage.model.result.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 后台数据统计 Mapper 接口
 *
 * @author 李文龙
 * @date 2022/01/13 14:19
 */
@Repository
public interface HomePageMapper {

    List<StatisticsResult> statistics();

    List<ChartResult> monthOrderAmountChart(@Param("month") String month);

    List<ChartResult> yearOrderAmountChart(@Param("year") String year);


    List<ChartResult> monthOrderAmountChartNear();

    List<ChartResult> yearOrderAmountChartNear();

    List<RankingResult> rankingCustomerList();

    List<RankingResult> rankingStoreList();

    List<RankingResult> rankingSaleList();

    List<ClassificationProportionResult> classificationProportion(@Param("req")ChartReq req);

    List<NewOldCustomersResult> newOldCustomers(@Param("req")ChartReq req);
}